Subject: bug#48134: When sitting on top of a M-x item in the manual

From: Howard Melman <[email-masked]>
Date: Sun, 02 May 2021 10:09:12 -0400

Lars Ingebrigtsen <[email-masked]> writes:

> This is how Emacs works all over the place -- `M-n' should get you the
> suggestion.  Making all prompts tell you about this standard feature
> would be less than optimal, so I don't think there's anything to fix
> here, and I'm closing this bug report.

I suggest making this standard feature a little more
explicit in the emacs manual.  I think it's only mentioned
in the Minibuffer History node (in Emacs 27) which is fine,
but the only index entry for this is "future history for
file names".  I think it would be better to also (or just)
index "future history" in the previous paragraph.

Also a sentence explaining how this standard feature
commonly behaves would help.  Something like:

This is often a value at point relevant to the command such
as a symbol, word, file name or color.

(with perhaps a mention of thing-at-point)

-- 

Howard